Kloxo是一款比较适合Linux新手使用的轻量级VPS控制面板;最近在安装使用Kloxo时遇到了安装完Kloxo后遇到无法连接mysql,也不支持GD。

根据之前对Kloxo的了解应该是安装的64位CentOS的原因。

/etc/php.ini中extensiON_dir = /usr/lib/php/modules 如果系统是32位,则会存在这个目录,如果64位就没有,但是位于/usr/lib64/php/modules ,但是如果仅仅修改extension_dir是不够的。

第一种解决方法:直接重装为32位CentOS,再重新安装Kloxo。

第二种方法:创建软连接,将/usr/lib/php/指向到/usr/lib64/php/

执行: ln -s /usr/lib64/php/ /usr/lib

重启Apache: /etc/rc.d/init.d/httpd restart

再去检查一遍环境,现在显示都支持了。


评论专区
  • 昵 称必填
  • 邮 箱必填
  • 网 址选填
◎已有 0 人评论
作者介绍
吕布

吕布

负责所有栏目的编辑工作。
80vps henghost
30天热门
budgetvm sugarhosts
点击关闭
  • 在线客服1

    在线客服2

    在线客服3

分享:

支付宝

微信